Get package asset dependencies
GET
/api/dependencies/{configId}/_package/{packageName}/{assetId}
const url = 'https://example.com/api/dependencies/example/_package/example/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/dependencies/example/_package/example/example \ --header 'Authorization: Bearer <token>'Retrieves the dependencies for a content item within a package
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
Repository configuration ID
string
packageName
required
Package name
string
assetId
required
Asset ID
string
Responses
Section titled “Responses”Dependencies retrieved successfully
Media typeapplication/json
object
dependencies
Items this asset depends on (references)
Array<object>
object
id
required
Item ID
string
name
Item name
string
type
Content type
string
status
Item status
string
fieldName
Field that contains this reference
string
dependents
Items that depend on this asset (referenced by)
Array<object>
object
id
required
Item ID
string
name
Item name
string
type
Content type
string
status
Item status
string
fieldName
Field that contains this reference
string
Example
{ "dependencies": [ { "status": "published" } ], "dependents": [ { "status": "published" } ]}Item not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}